| AOMedia AV1 Codec

aom_roi_map Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

aom region of interest map More...

`#include <aomcx.h>`

## Data Fields
uint8_t | enabled
unsigned char * | roi_map
unsigned int | rows
unsigned int | cols
int | delta_q [8]
int | delta_lf [8]
int | skip [8]
int | ref_frame [8]
int | delta_qp_enabled
int | reference_enabled
int | rdmult_delta_qp

## Detailed Description

aom region of interest map

These defines the data structures for the region of interest map

## Field Documentation

## ◆ enabled

uint8_t aom_roi_map::enabled

If ROI is enabled.

Referenced by encode_frame_internal(), encode_without_recode(), and pick_sb_modes_nonrd().

## ◆ roi_map

unsigned char* aom_roi_map::roi_map

An id between 0 and 7 for each 4x4 region within a frame.

## ◆ rows

unsigned int aom_roi_map::rows

Number of rows.

## ◆ cols

unsigned int aom_roi_map::cols

Number of columns.

## ◆ delta_q

int aom_roi_map::delta_q[8]

Quantizer deltas.

## ◆ delta_lf

int aom_roi_map::delta_lf[8]

Loop filter deltas.

## ◆ skip

int aom_roi_map::skip[8]

Skip this block.

## ◆ ref_frame

int aom_roi_map::ref_frame[8]

Reference frame for this block.

## ◆ delta_qp_enabled

int aom_roi_map::delta_qp_enabled

Delta qp feature enabled.

Referenced by pick_sb_modes_nonrd().

## ◆ reference_enabled

int aom_roi_map::reference_enabled

Reference frame feature enabled.

## ◆ rdmult_delta_qp

int aom_roi_map::rdmult_delta_qp

RD mult for delta qp feature.

Referenced by pick_sb_modes_nonrd().

The documentation for this struct was generated from the following file:

- aom/aomcx.h